Inkscape: A Vector Drawing Tool

Activity log for bug #367607

Date Who What changed Old value New value Message
2009-04-26 21:45:55 Andre Klapper bug added bug
2009-05-10 10:27:49 nightrow inkscape: importance Undecided Wishlist
2009-06-08 18:32:59 jazzynico inkscape: status New Confirmed
2009-07-21 21:13:45 jazzynico inkscape: importance Wishlist Medium
2009-07-21 21:13:45 jazzynico inkscape: milestone 0.47.1
2010-04-15 06:42:34 ~suv inkscape: milestone 0.47.1 0.48
2010-07-13 19:18:40 jazzynico inkscape: milestone 0.48 0.49
2010-07-13 19:18:49 jazzynico tags build
2011-12-13 11:56:51 Alex Valavanis attachment added Deprecated symbol usage (2011-12-13) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2631202/+files/lp-inkscape-gtk-deprecated-2011-12-13
2011-12-13 11:57:17 Alex Valavanis inkscape: status Confirmed Triaged
2012-01-01 18:46:03 Alex Valavanis attachment added Updated list of deprecated symbol usage (2012-01-01) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2653368/+files/lp-inkscape-gtk-deprecated-2012-01-01
2012-02-16 20:46:36 Kris inkscape: status Triaged In Progress
2012-02-26 16:58:54 Alex Valavanis attachment added Buildlog (2012-02-26) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2785603/+files/gtk_disable_deprecated-2012-02-26.txt
2012-02-29 11:51:43 Alex Valavanis attachment removed Deprecated symbol usage (2011-12-13) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2631202/+files/lp-inkscape-gtk-deprecated-2011-12-13
2012-02-29 11:51:51 Alex Valavanis attachment removed Updated list of deprecated symbol usage (2012-01-01) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2653368/+files/lp-inkscape-gtk-deprecated-2012-01-01
2012-02-29 11:57:14 Alex Valavanis description According to http://www.gnome.org/~fpeters/299.html , Inkscape uses the following deprecated Gtk+ symbols: GTK_CHECK_CAST, GTK_CHECK_CLASS_CAST, GTK_CHECK_CLASS_TYPE, GTK_CHECK_GET_CLASS, GTK_CHECK_TYPE, GTK_CLASS_TYPE, GTK_CTREE_ROW, GTK_OBJECT_FLOATING, GTK_SIGNAL_FUNC, GTK_SIGNAL_OFFSET, GTK_VALUE_BOOL, GTK_VALUE_DOUBLE, GTK_VALUE_INT, GTK_VALUE_POINTER, GtkArg, GtkCTreeNode, GtkClassInitFunc, GtkObjectInitFunc, GtkSignalFunc, GtkSignalRunType, GtkType, GtkTypeInfo, gdk_cursor_destroy, gdk_draw_pixmap, gdk_gc_destroy, gdk_pixbuf_unref, gdk_rgb_gc_set_foreground, gdk_rgb_get_cmap, gdk_string_width, gtk_action_connect_proxy, gtk_box_pack_start_defaults, gtk_clist_append, gtk_clist_clear, gtk_clist_column_titles_hide, gtk_clist_column_titles_passive, gtk_clist_column_titles_show, gtk_clist_find_row_from_data, gtk_clist_freeze, gtk_clist_get_row_data, gtk_clist_remove, gtk_clist_select_row, gtk_clist_set_auto_sort, gtk_clist_set_column_auto_resize, gtk_clist_set_column_title, gtk_clist_set_reorderable, gtk_clist_set_row_data, gtk_clist_set_sort_column, gtk_clist_set_text, gtk_clist_thaw, gtk_clist_unselect_all, gtk_clist_unselect_row, gtk_combo_new, gtk_combo_set_popdown_strings, gtk_combo_set_use_arrows, gtk_combo_set_use_arrows_always, gtk_combo_set_value_in_list, gtk_ctree_expand, gtk_ctree_find_by_row_data_custom, gtk_ctree_insert_node, gtk_ctree_node_moveto, gtk_ctree_node_set_row_data_full, gtk_ctree_node_set_text, gtk_ctree_remove_node, gtk_ctree_select, gtk_ctree_set_drag_compare_func, gtk_ctree_set_expander_style, gtk_ctree_set_line_style, gtk_draw_box, gtk_entry_select_region, gtk_idle_add_priority, gtk_idle_remove, gtk_menu_append, gtk_object_add_arg_type, gtk_object_get_data, gtk_object_ref, gtk_object_set, gtk_object_set_data, gtk_object_sink, gtk_object_unref, gtk_option_menu_get_menu, gtk_option_menu_new, gtk_option_menu_remove_menu, gtk_option_menu_set_history, gtk_option_menu_set_menu, gtk_radio_button_group, gtk_signal_connect, gtk_signal_connect_object, gtk_signal_connect_while_alive, gtk_signal_disconnect_by_data, gtk_signal_emit, gtk_signal_emit_by_name, gtk_signal_new, gtk_timeout_add, gtk_timeout_remove, gtk_tool_item_set_tooltip, gtk_toolbar_append_item, gtk_toolbar_append_space, gtk_toolbar_append_widget, gtk_toolbar_set_orientation, gtk_tooltips_disable, gtk_tooltips_enable, gtk_tooltips_new, gtk_tooltips_set_tip, gtk_type_class, gtk_type_is_a, gtk_type_name, gtk_type_new, gtk_type_unique, gtk_widget_pop_visual, gtk_widget_push_visual, gtk_widget_ref, gtk_widget_unref, gtk_window_set_policy These symbols will be removed for GTK 3 which will be released in March 2010. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ .
2012-03-12 09:01:17 Alex Valavanis attachment added Build log with GTK_DISABLE_DEPRECATED (2012-03-11) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2855148/+files/gtk_disable_deprecated-2012-03-11.txt
2012-03-12 09:01:30 Alex Valavanis attachment removed Buildlog with GTK_DISABLE_DEPRECATED (2012-02-26) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2785603/+files/gtk_disable_deprecated-2012-02-26.txt
2012-03-13 09:03:04 Alex Valavanis attachment added Build log with GTK_DISABLE_DEPRECATED (2012-03-13) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2861625/+files/gtk_disable_deprecated-2012-03-13.txt
2012-03-13 09:03:16 Alex Valavanis attachment removed Build log with GTK_DISABLE_DEPRECATED (2012-03-11) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2855148/+files/gtk_disable_deprecated-2012-03-11.txt
2012-03-14 12:38:57 Alex Valavanis attachment added Buildlog with GTK_DISABLE_DEPRECATED (2012-03-14) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2869099/+files/gtk_disable_deprecated-2012-03-14.txt
2012-03-14 12:39:08 Alex Valavanis attachment removed Build log with GTK_DISABLE_DEPRECATED (2012-03-13) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2861625/+files/gtk_disable_deprecated-2012-03-13.txt
2012-03-14 13:38:45 Alex Valavanis description Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . == List of remaining source files with deprecation issues == * display/sodipodi-ctrl.cpp: GtkObject, GTK_VALUE * display/sp-canvas.cpp: GtkObject * helper/unit-menu.cpp: GtkObject * widgets/font-selector.cpp: GtkComboBox, GtkSignal * widgets/gradient-vector.cpp: GtkOptionMenu * widgets/sp-color-slider.cpp: GtkObject * widgets/sp-widget.cpp: GtkObject * widgets/sp-xmlview-attr-list.cpp: GtkCList * widgets/sp-xmlview-tree.h: GtkCTree * widgets/sp-xmlview-tree.cpp: GtkCTree, GtkCList
2012-03-15 14:33:20 Alex Valavanis attachment added Buildlog with GTK_DISABLE_DEPRECATED (2012-03-15) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2875640/+files/gtk_disable_deprecated-2012-03-15.txt
2012-03-15 14:33:33 Alex Valavanis attachment removed Buildlog with GTK_DISABLE_DEPRECATED (2012-03-14) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2869099/+files/gtk_disable_deprecated-2012-03-14.txt
2012-03-15 14:35:06 Alex Valavanis description Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . == List of remaining source files with deprecation issues == * display/sodipodi-ctrl.cpp: GtkObject, GTK_VALUE * display/sp-canvas.cpp: GtkObject * helper/unit-menu.cpp: GtkObject * widgets/font-selector.cpp: GtkComboBox, GtkSignal * widgets/gradient-vector.cpp: GtkOptionMenu * widgets/sp-color-slider.cpp: GtkObject * widgets/sp-widget.cpp: GtkObject * widgets/sp-xmlview-attr-list.cpp: GtkCList * widgets/sp-xmlview-tree.h: GtkCTree * widgets/sp-xmlview-tree.cpp: GtkCTree, GtkCList Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . == List of remaining source files with deprecation issues == * display/sodipodi-ctrl.cpp: GtkObject, GTK_VALUE * display/sp-canvas.cpp: GtkObject * helper/unit-menu.cpp: GtkObject * widgets/font-selector.cpp: GtkComboBox, GtkSignal * widgets/sp-color-slider.cpp: GtkObject * widgets/sp-widget.cpp: GtkObject * widgets/sp-xmlview-attr-list.h: GtkCList * widgets/sp-xmlview-attr-list.cpp: GtkCList * widgets/sp-xmlview-tree.h: GtkCTree * widgets/sp-xmlview-tree.cpp: GtkCTree, GtkCList
2012-03-21 13:47:46 Alex Valavanis description Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . == List of remaining source files with deprecation issues == * display/sodipodi-ctrl.cpp: GtkObject, GTK_VALUE * display/sp-canvas.cpp: GtkObject * helper/unit-menu.cpp: GtkObject * widgets/font-selector.cpp: GtkComboBox, GtkSignal * widgets/sp-color-slider.cpp: GtkObject * widgets/sp-widget.cpp: GtkObject * widgets/sp-xmlview-attr-list.h: GtkCList * widgets/sp-xmlview-attr-list.cpp: GtkCList * widgets/sp-xmlview-tree.h: GtkCTree * widgets/sp-xmlview-tree.cpp: GtkCTree, GtkCList Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . == List of remaining source files with deprecation issues == * display/sodipodi-ctrl.cpp: GtkObject, GTK_VALUE * display/sp-canvas.cpp: GtkObject * helper/unit-menu.cpp: GtkObject * widgets/font-selector.cpp: GtkComboBox, GtkSignal * widgets/sp-color-slider.cpp: GtkObject * widgets/sp-widget.cpp: GtkObject * widgets/sp-xmlview-tree.h: GtkCTree * widgets/sp-xmlview-tree.cpp: GtkCTree, GtkCList
2012-03-21 13:48:10 Alex Valavanis attachment added Buildlog with GTK_DISABLE_DEPRECATED (2012-03-21) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2910000/+files/gtk_disable_deprecated-2012-03-21.txt
2012-03-21 13:48:11 Alex Valavanis attachment added Buildlog with GTK_DISABLE_DEPRECATED (2012-03-21) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2910001/+files/gtk_disable_deprecated-2012-03-21.txt
2012-03-21 14:00:13 Alex Valavanis attachment removed Buildlog with GTK_DISABLE_DEPRECATED (2012-03-15) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2875640/+files/gtk_disable_deprecated-2012-03-15.txt
2012-03-21 14:00:22 Alex Valavanis attachment removed Buildlog with GTK_DISABLE_DEPRECATED (2012-03-21) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2910000/+files/gtk_disable_deprecated-2012-03-21.txt
2012-04-02 15:10:36 Alex Valavanis attachment added Build log with GTK_DISABLE_DEPRECATED (2012-04-02) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2989654/+files/gtk_disable_deprecated-2012-04-02.txt
2012-04-02 15:10:50 Alex Valavanis attachment removed Buildlog with GTK_DISABLE_DEPRECATED (2012-03-21) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2910001/+files/gtk_disable_deprecated-2012-03-21.txt
2012-04-02 15:12:04 Alex Valavanis description Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . == List of remaining source files with deprecation issues == * display/sodipodi-ctrl.cpp: GtkObject, GTK_VALUE * display/sp-canvas.cpp: GtkObject * helper/unit-menu.cpp: GtkObject * widgets/font-selector.cpp: GtkComboBox, GtkSignal * widgets/sp-color-slider.cpp: GtkObject * widgets/sp-widget.cpp: GtkObject * widgets/sp-xmlview-tree.h: GtkCTree * widgets/sp-xmlview-tree.cpp: GtkCTree, GtkCList Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . == List of remaining source files with deprecation issues == * display/sodipodi-ctrl.cpp: GtkObject, GTK_VALUE * display/sp-canvas.cpp: GtkObject * helper/unit-menu.cpp: GtkObject * widgets/font-selector.cpp: GtkComboBox, GtkSignal * widgets/sp-color-slider.cpp: GtkObject * widgets/sp-xmlview-tree.h: GtkCTree * widgets/sp-xmlview-tree.cpp: GtkCTree, GtkCList
2012-04-03 09:09:25 Alex Valavanis attachment added Build log with GTK_DISABLE_DEPRECATED (2012-04-03) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2994590/+files/gtk_disable_deprecated-2012-04-03.txt
2012-04-03 09:10:50 Alex Valavanis description Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . == List of remaining source files with deprecation issues == * display/sodipodi-ctrl.cpp: GtkObject, GTK_VALUE * display/sp-canvas.cpp: GtkObject * helper/unit-menu.cpp: GtkObject * widgets/font-selector.cpp: GtkComboBox, GtkSignal * widgets/sp-color-slider.cpp: GtkObject * widgets/sp-xmlview-tree.h: GtkCTree * widgets/sp-xmlview-tree.cpp: GtkCTree, GtkCList Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . == List of remaining source files with deprecation issues == * display/sodipodi-ctrl.cpp: GtkObject, GTK_VALUE * display/sp-canvas.cpp: GtkObject * widgets/sp-xmlview-tree.h: GtkCTree * widgets/sp-xmlview-tree.cpp: GtkCTree, GtkCList
2012-04-03 09:11:09 Alex Valavanis attachment removed Build log with GTK_DISABLE_DEPRECATED (2012-04-02) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2989654/+files/gtk_disable_deprecated-2012-04-02.txt
2012-04-08 10:12:22 Alex Valavanis attachment added Build log with GTK_DISABLE_DEPRECATED (2012-04-08) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/3027514/+files/gtk_disable_deprecated-2012-04-08.txt
2012-04-08 10:12:33 Alex Valavanis attachment removed Build log with GTK_DISABLE_DEPRECATED (2012-04-03) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/2994590/+files/gtk_disable_deprecated-2012-04-03.txt
2012-04-08 10:12:44 Alex Valavanis description Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . == List of remaining source files with deprecation issues == * display/sodipodi-ctrl.cpp: GtkObject, GTK_VALUE * display/sp-canvas.cpp: GtkObject * widgets/sp-xmlview-tree.h: GtkCTree * widgets/sp-xmlview-tree.cpp: GtkCTree, GtkCList Inkscape uses a number of deprecated GTK+ symbols that have now been removed from GTK+ 3.[1] We need to replace all of these. See the attached build log for a list of remaining issues. To test, build Inkscape using: make CPPFLAGS+="-DGTK_DISABLE DEPRECATED" Once we manage to build cleanly, we should add the GTK_DISABLE DEPRECATED flag to configure.ac to prevent any inadvertent usage of deprecated symbols in future. Also see http://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK%2B and http://library.gnome.org/devel/gtk/stable/ . == List of remaining source files with deprecation issues == * display/sodipodi-ctrl.cpp: GtkObject, GTK_VALUE * widgets/sp-xmlview-tree.h: GtkCTree * widgets/sp-xmlview-tree.cpp: GtkCTree, GtkCList
2012-04-11 09:15:11 Alex Valavanis attachment added Build log with GTK_DISABLE_DEPRECATED (2012-04-11) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/3045185/+files/gtk_disable_deprecated-2012-04-11.txt
2012-04-11 09:16:19 Alex Valavanis attachment removed Build log with GTK_DISABLE_DEPRECATED (2012-04-08) https://bugs.launchpad.net/inkscape/+bug/367607/+attachment/3027514/+files/gtk_disable_deprecated-2012-04-08.txt
2012-04-11 14:18:48 John Smith inkscape: assignee John Smith (john-smithi)
2012-04-11 14:18:51 John Smith inkscape: status In Progress Fix Committed
2012-04-11 15:18:19 Launchpad Janitor branch linked lp:inkscape